<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FarmerReturnInvoiceItem extends Model
{
    use HasFactory;

    protected $fillable = [
        "product_id", "farmer_return_invoice_id", "unit_price", "qty", "total"
    ];

    public function farmerReturnInvoice() {
        return $this->belongsTo(FarmerReturnInvoice::class);
    }

    public function product() {
        return $this->belongsTo(Product::class);
    }
}
